// @ts-check
import { resolvePath } from '@kevisual/use-config/env';
import { execSync } from 'node:child_process';

const entry = 'src/index.ts';
const naming = 'app';
const external = ['sequelize', 'pg', 'sqlite3', 'minio', '@kevisual/router', 'pm2'];
/**
 * @type {import('bun').BuildConfig}
 */
await Bun.build({
  target: 'node',
  format: 'esm',
  entrypoints: [resolvePath(entry, { meta: import.meta })],
  outdir: resolvePath('./dist', { meta: import.meta }),
  naming: {
    entry: `${naming}.js`,
  },
  external: external,
  env: 'KEVISUAL_*',
});

// const cmd = `dts -i src/index.ts -o app.d.ts`;
const cmd = `dts -i ${entry} -o ${naming}.d.ts`;
execSync(cmd, { stdio: 'inherit' });
